package com.example.bluetoothgateway.broadcastreceiver;

import android.bluetooth.BluetoothAdapter;
import android.bluetooth.BluetoothDevice;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;

/**
 * 蓝牙搜索
 */
public class BlueToothFoundReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        //获取广播Action
        String action = intent.getAction();
        //判断广播是搜索到设备还是搜索完成
        if (BluetoothDevice.ACTION_FOUND.equals(action)) {
            // 找到设备后获取其设备
            BluetoothDevice device = intent.getParcelableExtra(BluetoothDevice.EXTRA_DEVICE);
            Log.e("BlueToothFoundReceiver","扫描到了：" + device.getName() + ":" + device.getAddress() + "\n");
        } else if (action.equals(BluetoothAdapter.ACTION_DISCOVERY_STARTED)) {
            Log.e("BlueToothFoundReceiver","搜索开启");
        } else if (action.equals(BluetoothAdapter.ACTION_DISCOVERY_FINISHED)) {
            Log.e("BlueToothFoundReceiver","搜索完成");
        }
    }
}
