package com.example.bluetoothgateway.broadcastreceiver;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.util.Log;

import com.example.bluetoothgateway.utils.NetUtil;

public class NetBroadcastReceiver extends BroadcastReceiver {
   private String TAG =  NetBroadcastReceiver.class.getSimpleName();
    public NetChangeListener listener ;

    public NetBroadcastReceiver(NetChangeListener listener){
        this.listener = listener;
    }


    @Override
    public void onReceive(Context context, Intent intent) {
        // TODO Auto-generated method stub

        Log.e(TAG,"oldTime "+ NetUtil.oldTime +" 时间差 "+((System.currentTimeMillis())-NetUtil.oldTime));
        if((System.currentTimeMillis())-NetUtil.oldTime < 300){
            return;
        }
        NetUtil.oldTime = System.currentTimeMillis();

        Log.e(TAG,"oldTime "+NetUtil.oldTime);

        // 如果相等的话就说明网络状态发生了变化
        Log.i("NetBroadcastReceiver", "NetBroadcastReceiver changed");
        if (intent.getAction().equals(ConnectivityManager.CONNECTIVITY_ACTION))  {
            int netWorkState = NetUtil.getNetWorkState(context);
            // 当网络发生变化，判断当前网络状态，并通过NetEvent回调当前网络状态
            Log.e(TAG,"netWorkState"+netWorkState);
            if (listener != null) {
                listener.onChangeListener(netWorkState);
            }
        }
    }

    // 自定义接口
    public interface NetChangeListener {
        void onChangeListener(int status);
    }
}