package com.example.bluetoothgateway.net;

import android.content.Context;
import android.os.Handler;
import android.text.TextUtils;
import android.util.Log;
import android.widget.Toast;

import com.example.bluetoothgateway.Dialog.DownloadDialog;
import com.example.bluetoothgateway.utils.DownloadAppUtil;
import com.example.bluetoothgateway.utils.Utils;

import org.json.JSONException;
import org.json.JSONObject;

import java.io.IOException;

import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.FormBody;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;

public class OkHttp {

    private String TAG = OkHttp.class.getSimpleName();
    private String appUrl = "http://api.base.wdklian.com/apk/get_version?scene=upload_apk/be_there_for_u";
    private OkHttpClient okHttpClient;
    private Context context;


    public void APPUpdate(final Context context, final OnRequestLitener onRequestLitener) {
        this.context = context;
        if (okHttpClient == null) {
            okHttpClient = new OkHttpClient();
        }
//            FormBody.Builder formBody = new FormBody.Builder();
//            formBody.add("scene", "upload_apk/be_there_for_u");

        Request request = new Request.Builder()
                .url(appUrl)
                .get()
                .build();
        okHttpClient.newCall(request).enqueue(new Callback() {
            @Override
            public void onFailure(Call call, IOException e) {
                Log.e(TAG, "获取APP更新异常" + e.getMessage());
            }

            @Override
            public void onResponse(Call call, Response response) throws IOException {
                String data = response.body().string();
                Log.e(TAG, "data " + data);
                if (TextUtils.isEmpty(data)) return;
                try {
                    JSONObject object = new JSONObject(data);
                    String name = object.getString("name");
                    String appurl = object.getString("link");
                    if (!TextUtils.isEmpty(name)&&!TextUtils.isEmpty(appurl)) {
                        name = name.substring(16, 19);
                        String nowApp = Utils.getAppVersionName(context);
                  if(Float.parseFloat(name)> Float.parseFloat(nowApp)){
                        onRequestLitener.onStartTheDownload();
                        //shemgji
                        DownloadAppUtil.getInstance(context).downloadApp(appurl, new DownloadAppUtil.OnDownloadLitener() {
                            @Override
                            public void onDownloadSucceed(String data) {
                                Log.e(TAG, "data");
                                onRequestLitener.onRequestSuccess("");
                            }

                            @Override
                            public void onBeDownloading(int progress) {
                                onRequestLitener.onBeDownloading(progress);
                            }

                            @Override
                            public void onDownloadFail(String data) {
                                Log.e(TAG, data);
                                onRequestLitener.onRequestFail(data);
                            }
                        });

                  }else {
                      DownloadAppUtil.getInstance(context).isAPKFile();
                      onRequestLitener.onRequestFail("已是最新版");
                  }
                    } else {
                        onRequestLitener.onRequestFail("获取APP版本名称或下载路径失败");
                    }
                } catch (JSONException e) {
                    e.printStackTrace();
                    onRequestLitener.onRequestFail("APP版本解析失败");
                }

            }
        });
    }


    public interface OnRequestLitener {
        void onStartTheDownload();
        void onRequestSuccess(String data);
        void onBeDownloading(int progress);
        void onRequestFail(String data);
    }

}