package com.example.bluetoothgateway.net;


import java.io.IOException;

public interface UdpClient {

	/**
	 * 初始化
	 * @return 0为成功 非0为失败
	 */
	int init(String ip, int port);

	/**
	 * 发送byte[]格式数据
	 * @param data
	 */
	void send(byte[] data) throws IOException;

	/**
	 * 发送String格式数据
	 * @param data
	 */
	void send(String data) throws IOException;

	/**
	 * 关闭
	 */
	void close();


	void setOnReadDataListener(OnReadDataListener onReadDataListener);

	/**
	 * 读取数据监听
	 */
	interface OnReadDataListener {
		void onReadData(byte[] data);
	}

}
